# Gets all of the invoices in the system for a given contact. This method will scan all invoices and and return them to the caller for a given contact. Endpoint: GET /invoices/{tenantId}/portal/contact/{portalContactId} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. - `portalContactId` (string, required) The contact to use ## Query parameters: - `fields` (string) The fields that you want to retrieve; if omitted, the entire object is returned. - `includeAllInvoices` (boolean) If set, all invoices are returned regardless of balance ## Response 200 fields (application/json): - `Count` (integer) - `Items` (array) - `Items.amount_paid` (number, required) The amount paid on the invoice - `Items.amount_refunded` (number, required) The amount refunded on the invoice - `Items.amount_written_off` (number, required) The amount written off on the invoice - `Items.balance_due` (number, required) The balance due on the invoice - `Items.base_currency_code` (string) The base currency for transactions business unit - `Items.base_currency_symbol` (string) The base symbol for the transactions business unit - `Items.batch_id` (string) The batch this transaction belongs to - `Items.bill_to_contact_id` (string, required) The person being billed for this invoice - `Items.bill_to_organization_id` (string, required) The organization being billed for this invoice - `Items.bill_to_type` (string, required) The type of invoice Enum: "contact", "organization" - `Items.billing_address` (object) A complete address - `Items.billing_address.city` (string) The city of the address - `Items.billing_address.country` (string) The country ISO code - `Items.billing_address.country_name` (string) The full name of hte country - `Items.billing_address.county` (string) The county - `Items.billing_address.latitude` (number) - `Items.billing_address.line1` (string) The first line of the address - `Items.billing_address.line2` (string) The second line of the address - `Items.billing_address.line3` (string) The third line of the address - `Items.billing_address.longitude` (number) - `Items.billing_address.postal_code` (string) The zip/postal code - `Items.billing_address.state` (string) The state/province of the address - `Items.billing_address.time_zone_id` (string) - `Items.business_unit_id` (string, required) The business unit this transaction belongs to - `Items.cancellation_id` (string) The order cancellation tied to this transaction - `Items.currency_code` (string) The currency code in use Enum: "AED", "AFN", "ALL", "AMD", "ANG", "AOA", "ARS", "AUD", "AWG", "AZN", "BAM", "BBD", "BDT", "BGN", "BHD", "BIF", "BMD", "BND", "BOB", "BRL", "BSD", "BTN", "BWP", "BYR", "BZD", "CAD", "CDF", "CHF", "CLP", "CNY", "COP", "CRC", "CUC", "CVE", "CZK", "DJF", "DKK", "DOP", "DZD", "EEK", "EGP", "ERN", "ETB", "EUR", "FJD", "FKP", "GBP", "GEL", "GHS", "GIP", "GMD", "GNF", "GQE", "GTQ", "GYD", "HKD", "HNL", "HRK", "HTG", "HUF", "IDR", "ILS", "INR", "IQD", "IRR", "ISK", "JMD", "JOD", "JPY", "KES", "KGS", "KHR", "KMF", "KPW", "KRW", "KWD", "KYD", "KZT", "LAK", "LBP", "LKR", "LRD", "LSL", "LTL", "LVL", "LYD", "MAD", "MDL", "MGA", "MKD", "MMK", "MNT", "MOP", "MRO", "MUR", "MVR", "MWK", "MXN", "MYR", "MZM", "NAD", "NGN", "NIO", "NOK", "NPR", "NZD", "OMR", "PAB", "PEN", "PGK", "PHP", "PKR", "PLN", "PYG", "QAR", "RON", "RSD", "RUB", "SAR", "SBD", "SCR", "SDG", "SEK", "SGD", "SHP", "SLL", "SOS", "SRD", "SYP", "SZL", "THB", "TJS", "TMT", "TND", "TRY", "TTD", "TWD", "TZS", "UAH", "UGX", "USD", "UYU", "UZS", "VEB", "VND", "VUV", "WST", "XAF", "XCD", "XDR", "XOF", "XPF", "YER", "ZAR", "ZMK", "ZWR" - `Items.currency_symbol` (string) The currency symbol - `Items.custom_field_values` (array) - `Items.custom_field_values.boolean_value` (boolean) The boolean value - `Items.custom_field_values.custom_field_id` (string) The unique identifier of the custom field - `Items.custom_field_values.file_url_value` (string) The pointer to a file value - `Items.custom_field_values.list_value` (array) The list value - `Items.custom_field_values.numeric_value` (number) The numeric value - `Items.custom_field_values.string_value` (string) The string value of the custom field - `Items.custom_field_values.table_value` (array) A list of objects (a table) - `Items.custom_metadata` (object) Custom metadata that can be used by custom order generation processes for hyper-customized order & invoice forms - `Items.date` (string) The date of the transaction - `Items.date_due` (string, required) The date the invoice is due - `Items.exchange_rate` (number) The exchange rate, if applicable - `Items.id` (string, required) The unique, string identifier of this invoice - `Items.legacy_balance_due` (number) The balance due from the legacy system - `Items.line_items` (array, required) - `Items.line_items.amount_paid` (number) Amount paid on this item - `Items.line_items.amount_refunded` (number) The amount refunded on the invoice item - `Items.line_items.amount_to_pay_upon_creation` (number) Amount to pay when created - `Items.line_items.amount_written_off` (number) The amount written off on the invoice item - `Items.line_items.balance_due` (number) The balance due on the invoice item - `Items.line_items.bundled_product_1` (object) - `Items.line_items.bundled_product_1.amount` (number, required) The amount of the bundled product - `Items.line_items.bundled_product_1.product_id` (string, required) The bundled product ID - `Items.line_items.bundled_product_1.product_type` (string, required) The bundled product type - `Items.line_items.bundled_product_2` (object) - `Items.line_items.description` (string) Description of the item - `Items.line_items.has_inline_bundled_products` (boolean) If true, this line item has inline products bundled with it - `Items.line_items.inline_bundled_products` (array) - `Items.line_items.invoice_line_item_id` (string) Line item id of the invoice - `Items.line_items.legacy_ar_gl_account` (string) The legacy G/L account imported from another system - `Items.line_items.legacy_project` (string) The legacy project imported from another system - `Items.line_items.legacy_revenue_account` (string) The legacy G/L account imported from another system - `Items.line_items.optional` (boolean) Whether or not this is an "optional" item - `Items.line_items.order_line_item_id` (string) If the invoice is tied to an order, the line item its tied to - `Items.line_items.original_total` (number) Invoice line item original total - `Items.line_items.original_total_in_base_currency` (number) Invoice line item original total (base currency) - `Items.line_items.primary_product_total` (number) The total for this line item NOT allocated to bundled products - `Items.line_items.product_id` (string, required) The product on the invoice line item - `Items.line_items.product_type` (string, required) The service that owns the type of product for this line item - `Items.line_items.quantity` (number, required) Quantity of the invoice line item - `Items.line_items.related_transactions` (array) - `Items.line_items.related_transactions.amount` (number, required) The amount applied - `Items.line_items.related_transactions.date` (string, required) The date/time of the transaction - `Items.line_items.related_transactions.transaction_id` (string, required) The id of the transaction - `Items.line_items.related_transactions.transaction_line_item_id` (string, required) The line item id of the transaction - `Items.line_items.related_transactions.transaction_number` (number, required) The number of the transaction - `Items.line_items.related_transactions.type` (string) Enum: "cancellation", "credit", "credit memo", "credit usage", "debit memo", "invoice", "payment", "refund", "return", "shipment", "write off" - `Items.line_items.status` (string) The status of the invoice item Enum: "cancelled", "open", "paid", "void", "written off" - `Items.line_items.total` (number, required) Invoice line item total - `Items.line_items.total_in_base_currency` (number) Invoice line item total - `Items.line_items.unit_price` (number, required) Unit price of the invoice line item - `Items.memo` (string) Memo/description of the transaction - `Items.notes` (string) Notes fro the transaction - `Items.number` (integer, required) The transaction number - `Items.order_id` (string) The order tied to this transaction - `Items.parent_invoice_id` (string) A parent invoice for this invoice - `Items.payment_terms_id` (string) The invoice terms being applied to this invoice - `Items.pro_forma` (boolean) Whether or not this is a pro forma invoice - `Items.purchase_order_number` (string) The purchase order number - `Items.regenerated_invoice_id` (string) For legacy invoices that needed to be regenerated, this is the ID of that generated invoice - `Items.regeneration_error` (string) If an error occurs during regeneration, it is logged here - `Items.return_id` (string) The return tied to this transaction - `Items.send_email_to_billing_contact` (boolean) If true, when email is processed, an email will be sent to the billing contact - `Items.sharing_secret` (string) Hash to be used as salt when sharing invoices publicly, preventing users from accessing invoices unless they have been given the link explicitly - `Items.status` (string, required) The status of the invoice Enum: "cancelled", "open", "paid", "void", "written off" - `Items.sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `Items.sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `Items.sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `Items.sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `Items.sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `Items.sys_calculated_field_error` (string) The error associated with the calculated field - `Items.sys_calculated_field_errors` (array) - `Items.sys_calculated_field_errors.error` (string) - `Items.sys_calculated_field_errors.field` (string) - `Items.sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `Items.sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `Items.sys_created_by_id` (string, required) The ID of the user that created this record - `Items.sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `Items.sys_directive` (string) Means for passing directive information into an object processing logic - `Items.sys_external_id` (string) The ID that a record has from an external system or data import - `Items.sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `Items.sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `Items.sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `Items.sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `Items.sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `Items.sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `Items.sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `Items.sys_search_composite_key` (string) Internal use - `Items.sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `Items.sys_version` (number) A number representing the version of this record in the database - `Items.template_id` (string) The template this invoice is using for printing/emailing - `Items.total` (number, required) The transaction total - `Items.total_in_base_currency` (number, required) The total of the transaction, in the base currency of the business unit. - `Items.type` (string) The type of invoice - `Items.uses_v2_api` (boolean) This invoice was processed using the v2 sync, as opposed to legacy step functions - `Items.workflow_execution_id` (string) The ID of the state machine execution used to create this transaction - `LastEvaluatedKey` (string) ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 429 fields ## Response 500 fields